## org.eclipse.emf.codegen.ecore.genmodel
Enum GenDelegationKind

    java.lang.Object
      java.lang.Enum<GenDelegationKind>
          org.eclipse.emf.codegen.ecore.genmodel.GenDelegationKind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<GenDelegationKind>, Enumerator

    public enum GenDelegationKind

extends java.lang.Enum<GenDelegationKind>
implements Enumerator

A representation of the literals of the enumeration 'Gen Delegation Kind', and utility methods for working with them.

See Also:
  `GenModelPackage.getGenDelegationKind()`

Enum Constant Summary
`DYNAMIC_LITERAL` The 'Dynamic' literal object
`NONE_LITERAL` The 'None' literal object
`REFLECTIVE_LITERAL` The 'Reflective' literal object
`VIRTUAL_LITERAL` The 'Virtual' literal object

Field Summary
`static int` `DYNAMIC` The 'Dynamic' literal value
`static int` `NONE` The 'None' literal value
`static int` `REFLECTIVE` The 'Reflective' literal value
`static java.util.List<GenDelegationKind>` `VALUES` A public read-only list of all the 'Gen Delegation Kind' enumerators
`static int` `VIRTUAL` The 'Virtual' literal value

Method Summary
`static GenDelegationKind` `get(int value)` Returns the 'Gen Delegation Kind' literal with the specified integer value
`static GenDelegationKind` `get(java.lang.String literal)` Returns the 'Gen Delegation Kind' literal with the specified literal value
`static GenDelegationKind` `getByName(java.lang.String name)` Returns the 'Gen Delegation Kind' literal with the specified name
`java.lang.String` `getLiteral()`
`java.lang.String` `getName()`
`int` `getValue()`
`java.lang.String` `toString()` Returns the literal value of the enumerator, which is its string representation
`static GenDelegationKind` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static GenDelegationKind[]` `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NONE_LITERAL

    public static final GenDelegationKind NONE_LITERAL

  The 'None' literal object.

  See Also:
    `NONE`

### REFLECTIVE_LITERAL

    public static final GenDelegationKind REFLECTIVE_LITERAL

  The 'Reflective' literal object.

  See Also:
    `REFLECTIVE`

### VIRTUAL_LITERAL

    public static final GenDelegationKind VIRTUAL_LITERAL

  The 'Virtual' literal object.

  See Also:
    `VIRTUAL`

### DYNAMIC_LITERAL

    public static final GenDelegationKind DYNAMIC_LITERAL

  The 'Dynamic' literal object.

  Since:
    2.5
  See Also:
    `DYNAMIC`

Field Detail

### NONE

    public static final int NONE

  The 'None' literal value.

  See Also:
    `NONE_LITERAL`, Constant Field Values

### REFLECTIVE

    public static final int REFLECTIVE

  The 'Reflective' literal value.

  See Also:
    `REFLECTIVE_LITERAL`, Constant Field Values

### VIRTUAL

    public static final int VIRTUAL

  The 'Virtual' literal value.

  See Also:
    `VIRTUAL_LITERAL`, Constant Field Values

### DYNAMIC

    public static final int DYNAMIC

  The 'Dynamic' literal value.

  If the meaning of 'Dynamic' literal object isn't clear, there really should be more of a description here...

  See Also:
    `DYNAMIC_LITERAL`, Constant Field Values

### VALUES

    public static final java.util.List<GenDelegationKind> VALUES

  A public read-only list of all the 'Gen Delegation Kind' enumerators.

Method Detail

### values

    public static final GenDelegationKind[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(GenDelegationKind c : GenDelegationKind.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static GenDelegationKind valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### get

    public static GenDelegationKind get(java.lang.String literal)

  Returns the 'Gen Delegation Kind' literal with the specified literal value.

### getByName

    public static GenDelegationKind getByName(java.lang.String name)

  Returns the 'Gen Delegation Kind' literal with the specified name.

### get

    public static GenDelegationKind get(int value)

  Returns the 'Gen Delegation Kind' literal with the specified integer value.

### getValue

    public int getValue()

  Specified by:
    `getValue` in interface `Enumerator`
  Returns:
    the value.

### getName

    public java.lang.String getName()

  Specified by:
    `getName` in interface `Enumerator`
  Returns:
    the name.

### getLiteral

    public java.lang.String getLiteral()

  Specified by:
    `getLiteral` in interface `Enumerator`
  Returns:
    the literal.

### toString

    public java.lang.String toString()

  Returns the literal value of the enumerator, which is its string representation.

  Overrides:
    `toString` in class `java.lang.Enum<GenDelegationKind>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.